Subject: Bug#888610 closed by Jeremy Bícha<[email-masked]> (closing old GNOME Shell bugs)

From: "Debian Bug Tracking System" <[email-masked]>
Date: Mon, 21 Apr 2025 18:45:07 +0000

This is an automatic notification regarding your Bug report
which was filed against the gnome-shell package:

#888610: gnome-shell: gdm greeter session sometimes exits 1: Can't initialize KMS backend: could not find drm kms device

It has been closed by Jeremy Bícha <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Jeremy Bícha <[email-masked]> by
replying to this email.

-- 
888610: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=888610
Debian Bug Tracking System
Contact [email-masked] with problems

Subject: closing old GNOME Shell bugs
From: Jeremy Bícha <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Mon, 21 Apr 2025 14:42:12 -0400

There have been many changes to Debian since this bug was originally
reported. If you are still experiencing this issue with Debian 12 (or
with Testing or Unstable), please report a new bug.

Thank you,
Jeremy Bícha

Subject: gnome-shell: gdm greeter session sometimes exits 1: Can't initialize KMS backend: could not find drm kms device
From: Simon McVittie <[email-masked]>
To: Debian Bug Tracking System <[email-masked]>
Date: Sat, 27 Jan 2018 18:29:12 +0000

Package: gnome-shell
Version: 3.26.2-3
Severity: normal
Tags: moreinfo
Control: submitter -1 [email-masked]

(This is split out from the logs sent to gjs bug #888052, since it
appears to be an unrelated issue.)

On Sat, 27 Jan 2018 at 16:02:19 +0100, Manuel Bilderbeek wrote:
> I do still see the issue at startup (I guess when the greeter is started):
>¯
> jan 27 10:13:47 sonata gnome-shell[1297]: Can't initialize KMS backend: could not find drm kms device
> jan 27 10:13:47 sonata gnome-session[1276]: gnome-session-binary[1276]: WARNING: App 'org.gnome.Shell.desktop' exited with code 1
> jan 27 10:13:47 sonata gnome-session-binary[1276]: WARNING: App 'org.gnome.Shell.desktop' exited with code 1
> jan 27 10:13:47 sonata gnome-session-binary[1276]: Unrecoverable failure in required component org.gnome.Shell.desktop

Am I right in thinking that immediately after this, gdm restarts the
greeter, and on this second attempt (or on a third or fourth attempt)
it works OK?

Does this have any practical effect on your use of gdm or GNOME, other
than delaying your first opportunity to log in?

Thanks,
    smcv

-- System Information:
See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=888052#5